1.3 beta to 1.5 strayhorn? (13 posts)

  1. dss
    Posted 10 years ago #

    I've searched and searched and found many thoughts that between the betas it was aok to overwrite the files. that no update script was needed.

    is this also true between a beta and the release?

    or do i need to run the update script?

  2. gingerbeer2000
    Posted 10 years ago #

    Heres a link for 1.2 - 1.5 upgrade trouble free tutorial and if i can do it anyone can :)


  3. dss
    Posted 10 years ago #

    Oh yeah...

    Podz guide has been indespensible for updating from 1.2 to 1.5

    but i meant the 1.3/1.5 beta versions to the final 1.5 version.

  4. Scott Reilly
    WordPress & Plugin Dev
    Posted 10 years ago #

    It is always recommended to run the upgrade.php script when updating from one version to another. Also, as always, backup your data before you do anything related to an upgrade.

  5. James Huff
    Volunteer Moderator
    Posted 10 years ago #

    DSS, just follow the simple upgrade instructions:


  6. Ming
    Posted 10 years ago #

    I thought it wasn't really necessary to run the upgrade script but I sure got caught by that. I was moving from beta to beta every few weeks and at somepoint IE stopped being able to view my site although it worked fine in Mozilla. It turns out the content-type was no longer correct in the database and IE didn't know what to do with my site (heck, sometimes I don't either). I ran the upgrade script and everything works perfectly. Lesson learned, I now bow to the upgrade script.

  7. dss
    Posted 10 years ago #


    ok, i replaced my beta files with the Strayhorn files (keeping my themes) and went to the update.php and get this error:

    Fatal error: Cannot redeclare maybe_add_column() (previously declared in /home/mine/public_html/wp-content/plugins/subscribe-to-comments.php:252) in /home/mine/public_html/wp-admin/upgrade-functions.php on line 258

    and my dashboard's not performing correctly, no connection with WP.


  8. Mark (podz)
    Support Maven
    Posted 10 years ago #

    Kill the subscribe to comments plugin :)

  9. dss
    Posted 10 years ago #


    i killed it, and was able to run the upgrade script.

    : )

    now i still haven't got a connection (no news in the dashboard) and for whatever reason the "more" tag is gone...

    man, oh man...

    what have i done?

  10. dss
    Posted 10 years ago #


    dunnoe about the dashboard, but found out why the more tags not working:


    updating, all over again, to the latest cvs.

    need more...

  11. dss
    Posted 10 years ago #

    Ack! maybe not...

    where did the CVS builds go?

  12. dss
    Posted 10 years ago #

    Well, i located a file in the change set which says its fixed this issue:

    suggested fix:

    line 177

    remove: if (1 == count($posts)) {

    replace with: if ( is_single() || is_page() ) {

    but that breaks the whole blog...

    is something missing here?

  13. dss
    Posted 10 years ago #

    found the nightlies:


    updated to the latest one in there, but the problem persists.

    have the nightly builds moved?

Topic Closed

This topic has been closed to new replies.

About this Topic


No tags yet.